Skip to navigation

Recommend batch points

Deprecated
Retrieves points in batches that are closer to stored positive examples and further from negative examples.

Authentication

api-keystring

Authorization key, either read-write or read-only

OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

collection_namestringRequired
Name of the collection to search in

Query parameters

consistencyinteger or enumOptional
Define read consistency guarantees for the operation
timeoutintegerOptional>=1
If set, overrides global timeout for this request. Unit is seconds.

Request

Request points based on positive and negative examples.
searcheslist of objectsRequired

Response

successful operation
usageobject or anyOptional
timefloatOptional
Time spent to process this request
statusstringOptional
resultlist of lists of objectsOptional

Errors

4XX
Client Request Error